[PATCH 03/15] add-dfu-script.patch

Andy Green andy at openmoko.com
Wed Aug 13 01:59:03 CEST 2008


Little helper script to do the DFU action without getting confused
by changing VID / PID

Signed-off-by: Andy Green <andy at openmoko.com>
---

 dfu-kboot |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)
 create mode 100755 dfu-kboot

diff --git a/dfu-kboot b/dfu-kboot
new file mode 100755
index 0000000..eb54a75
--- /dev/null
+++ b/dfu-kboot
@@ -0,0 +1,7 @@
+#!/bin/bash
+../dfu-util/src/dfu-util -a 1 -d 0x1d50:0x5119 -D image/kboot.udfu
+if [ $? -eq 1 ] ; then
+../dfu-util/src/dfu-util -a 1 -d 0x1d50:0x5120 -D image/kboot.udfu
+../dfu-util/src/dfu-util -a 1 -d 0x1d50:0x5119 -D image/kboot.udfu
+fi
+





More information about the openmoko-kernel mailing list